## grendel.search
Interface ISearchable

All Known Implementing Classes:
  MailSearch

public abstract interface ISearchable

Method Summary
`java.awt.Component` | `getResultComponent(ISearchResults aResults)`
`ISearchAttribute` | `getSearchAttribute(int idx)`
`int` | `getSearchAttributeCount()`
`ISearchResults` | `getSearchResults()`
`java.awt.Component` | `getTargetComponent()`
`void` | `search(javax.mail.search.SearchTerm aTerm)`

Method Detail

### getSearchAttributeCount

    public int getSearchAttributeCount()

### getSearchAttribute

    public ISearchAttribute getSearchAttribute(int idx)

### search

    public void search(javax.mail.search.SearchTerm aTerm)

### getSearchResults

    public ISearchResults getSearchResults()

### getTargetComponent

    public java.awt.Component getTargetComponent()

### getResultComponent

    public java.awt.Component getResultComponent(ISearchResults aResults)